SaaS CMS has officially launched! Learn more now.

System requirements for EPiServer CMS 6 R2

Server requirements

Operating system

Any of the following is required:

  • Microsoft Windows Server 2008 R2 *
  • Microsoft Windows Server 2008 32/64 bit *
  • Microsoft Windows Server 2003 R2 32/64 bit *

* All service packs are supported.

Web server

Any of the following must be installed as part of the Windows Server installation:

  • Microsoft Internet Information Services (IIS) 7.5
  • Microsoft Internet Information Services (IIS) 7.0
  • Microsoft Internet Information Services (IIS) 6.0

Database

Any of the following is required:

  • Microsoft SQL Server 2008 R2 *
  • Microsoft SQL Server 2008 32/64 bit *
  • Microsoft SQL Server 2005 32/64 bit *
  • Oracle 11g 32/64 bit (Windows server)
  • Oracle 10g R2 32/64 bit (Windows server)

* All service packs are supported.

Other requirements

Any of the following is required:

Client requirements for editing

Operating system

Any of the following is required:

  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows XP
  • Mac OSX 10.6

Browser for editing

Any of the following is required:

  • Microsoft Internet Explorer 11 – on-page editing disabled 
  • Microsoft Internet Explorer 10 – on-page editing disabled 
  • Microsoft Internet Explorer 9
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 7
  • Firefox 4
  • Firefox 3.6

* Microsoft Internet Explorer (32 bit version) is required to use the drag-and-drop file upload and to publish from Microsoft Office to EPiServer CMS.

Microsoft Office Integration

Any of the following is required:

  • Microsoft Office 2010 – 32 bit only
  • Microsoft Office 2007 SP1
  • Microsoft Office 2003 SP3
Development and demonstration environment

Operating system

Any of the following is required:

  • Microsoft Windows 7 SP1 32/64 bit
  • Microsoft Windows Vista SP2 32/64 bit
  • Microsoft Windows XP SP3 32 bit
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008 SP2 32/64 bit
  • Microsoft Windows Server 2003 SP2 32/64 bit

Development tool

Any of the following is required:

  • Microsoft Visual Studio 2010
  • Visual Web Developer 2010 Express Edition
  • Microsoft Visual Studio 2008 SP1
  • Visual Web Developer 2008 Express Edition SP1

Database

Any of the following is required:

  • Microsoft SQL Server 2008 R2
  • Microsoft SQL Server 2008 SP2
  • Microsoft SQL Server 2008 SP2 Express
  • Microsoft SQL Server 2005 SP4
  • Microsoft SQL Server 2005 SP4 Express
  • Oracle 11g 32/64 bit *
  • Oracle 10g R2 32/64 bit *
  • Oracle 10g R2 Express Edition *

* The EPiServer Visual Studio integration SDK installation requires Microsoft SQL Server Express.

Other requirements

Live Monitor requires any of the following:

  • Silverlight 4
  • Silverlight 3